CUfileDrvProps(3)

NAME
CUfileDrvProps

SYNOPSIS

#include <cufile.h>

  Data Fields

unsigned int fflags
unsigned int max_batch_io_size
unsigned int max_batch_io_timeout_msecs
unsigned int max_device_cache_size
unsigned int max_device_pinned_mem_size
struct {
unsigned int dcontrolflags
unsigned int dstatusflags
unsigned int major_version
size_t max_direct_io_size
unsigned int minor_version
size_t poll_thresh_size
} nvfs
unsigned int per_buffer_cache_size

Field Documentation

  unsigned int CUfileDrvProps::dcontrolflags

  unsigned int CUfileDrvProps::dstatusflags

  unsigned int CUfileDrvProps::fflags

  unsigned int CUfileDrvProps::major_version

  unsigned int CUfileDrvProps::max_batch_io_size

  unsigned int CUfileDrvProps::max_batch_io_timeout_msecs

  unsigned int CUfileDrvProps::max_device_cache_size

  unsigned int CUfileDrvProps::max_device_pinned_mem_size

  size_t CUfileDrvProps::max_direct_io_size

  unsigned int CUfileDrvProps::minor_version

  struct { ... } CUfileDrvProps::nvfs

  unsigned int CUfileDrvProps::per_buffer_cache_size

  size_t CUfileDrvProps::poll_thresh_size

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.